# Update a custom entity definition.

Endpoint: PUT /customEntity/definition
Version: 3.0.0
Security: bearerAuth, apiKeyAuth

## Security:

  - `bearerAuth` (unknown)
    http bearer Token

  - `apiKeyAuth` (unknown)
    apiKey in header Key

## Query parameters:

  - `id` (string)
    Definition ID

## Request fields (application/json):

  - `id` (string)
    Id of the definition

  - `name` (string)
    Name for the entity

  - `pluralName` (string)
    Plural Name for the entity

  - `description` (string)
    Description for the entity

  - `baseDefinitionId` (string)
    Id of the base entity definition, if this is an extended entity

  - `icon` (string)
    Icon for the entity

  - `permissionEnabled` (boolean)
    Specifies if the entity is permission controlled.

  - `script` (string)
    Script for external entity.

  - `scriptVersion` (string)
    Script version. A compiled script is cached for sometime, to update the script, please update the version.

  - `createdTime` (integer)
    Created time for the entity

  - `modifiedTime` (integer)
    Last modified time for the entity

## Response 200:

  - `200` (unknown)
    Success

## Response 400:

  - `400` (unknown)
    Bad request

## Response 400 fields (application/json):

  - `data` (object)

  - `errors` (array)

  - `errors.id` (string, required)
    24-character hex ObjectId

  - `errors.code` (integer, required)

  - `errors.message` (string, required)
    Dotted error key (e.g. account.not.found)

  - `metadata` (object)

## Response 401:

  - `401` (unknown)
    Missing or invalid authentication

## Response 401 fields (application/json):

  - `data` (object)

  - `errors` (array)

  - `errors.id` (string, required)
    24-character hex ObjectId

  - `errors.code` (integer, required)

  - `errors.message` (string, required)
    Dotted error key (e.g. account.not.found)

  - `metadata` (object)

## Response 403:

  - `403` (unknown)
    Insufficient permissions

## Response 403 fields (application/json):

  - `data` (object)

  - `errors` (array)

  - `errors.id` (string, required)
    24-character hex ObjectId

  - `errors.code` (integer, required)

  - `errors.message` (string, required)
    Dotted error key (e.g. account.not.found)

  - `metadata` (object)

## Response 404:

  - `404` (unknown)
    Resource not found

## Response 404 fields (application/json):

  - `data` (object)

  - `errors` (array)

  - `errors.id` (string, required)
    24-character hex ObjectId

  - `errors.code` (integer, required)

  - `errors.message` (string, required)
    Dotted error key (e.g. account.not.found)

  - `metadata` (object)

